Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class SpotDatafeedSubscription

    java.lang.Object
      com.amazonaws.services.ec2.model.SpotDatafeedSubscription

    public class SpotDatafeedSubscription

extends Object

The SpotDatafeedSubscriptionType data type.

Constructor Summary
`SpotDatafeedSubscription()`

Method Summary
`String` | `getBucket()` Specifies the Amazon S3 bucket where the Spot Instance data feed is located.
`SpotInstanceStateFault` | `getFault()` Specifies a fault code for the Spot Instance request, if present.
`String` | `getOwnerId()` Specifies the AWS account ID of the account.
`String` | `getPrefix()` Contains the prefix that is prepended to data feed files.
`String` | `getState()` Specifies the state of the Spot Instance request.
`void` | `setBucket(String bucket)` Specifies the Amazon S3 bucket where the Spot Instance data feed is located.
`void` | `setFault(SpotInstanceStateFault fault)` Specifies a fault code for the Spot Instance request, if present.
`void` | `setOwnerId(String ownerId)` Specifies the AWS account ID of the account.
`void` | `setPrefix(String prefix)` Contains the prefix that is prepended to data feed files.
`void` | `setState(String state)` Specifies the state of the Spot Instance request.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`SpotDatafeedSubscription` | `withBucket(String bucket)` Specifies the Amazon S3 bucket where the Spot Instance data feed is located.
`SpotDatafeedSubscription` | `withFault(SpotInstanceStateFault fault)` Specifies a fault code for the Spot Instance request, if present.
`SpotDatafeedSubscription` | `withOwnerId(String ownerId)` Specifies the AWS account ID of the account.
`SpotDatafeedSubscription` | `withPrefix(String prefix)` Contains the prefix that is prepended to data feed files.
`SpotDatafeedSubscription` | `withState(String state)` Specifies the state of the Spot Instance request.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpotDatafeedSubscription

    public SpotDatafeedSubscription()

Method Detail

### getOwnerId

    public String getOwnerId()

  Specifies the AWS account ID of the account.

  Returns:
    Specifies the AWS account ID of the account.

### setOwnerId

    public void setOwnerId(String ownerId)

  Specifies the AWS account ID of the account.

  Parameters:
    `ownerId` - Specifies the AWS account ID of the account.

### withOwnerId

    public SpotDatafeedSubscription withOwnerId(String ownerId)

  Specifies the AWS account ID of the account.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ownerId` - Specifies the AWS account ID of the account.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBucket

    public String getBucket()

  Specifies the Amazon S3 bucket where the Spot Instance data feed is located.

  Returns:
    Specifies the Amazon S3 bucket where the Spot Instance data feed is located.

### setBucket

    public void setBucket(String bucket)

  Specifies the Amazon S3 bucket where the Spot Instance data feed is located.

  Parameters:
    `bucket` - Specifies the Amazon S3 bucket where the Spot Instance data feed is located.

### withBucket

    public SpotDatafeedSubscription withBucket(String bucket)

  Specifies the Amazon S3 bucket where the Spot Instance data feed is located.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bucket` - Specifies the Amazon S3 bucket where the Spot Instance data feed is located.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPrefix

    public String getPrefix()

  Contains the prefix that is prepended to data feed files.

  Returns:
    Contains the prefix that is prepended to data feed files.

### setPrefix

    public void setPrefix(String prefix)

  Contains the prefix that is prepended to data feed files.

  Parameters:
    `prefix` - Contains the prefix that is prepended to data feed files.

### withPrefix

    public SpotDatafeedSubscription withPrefix(String prefix)

  Contains the prefix that is prepended to data feed files.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `prefix` - Contains the prefix that is prepended to data feed files.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  Specifies the state of the Spot Instance request.

  Returns:
    Specifies the state of the Spot Instance request.

### setState

    public void setState(String state)

  Specifies the state of the Spot Instance request.

  Parameters:
    `state` - Specifies the state of the Spot Instance request.

### withState

    public SpotDatafeedSubscription withState(String state)

  Specifies the state of the Spot Instance request.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `state` - Specifies the state of the Spot Instance request.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getFault

    public SpotInstanceStateFault getFault()

  Specifies a fault code for the Spot Instance request, if present.

  Returns:
    Specifies a fault code for the Spot Instance request, if present.

### setFault

    public void setFault(SpotInstanceStateFault fault)

  Specifies a fault code for the Spot Instance request, if present.

  Parameters:
    `fault` - Specifies a fault code for the Spot Instance request, if present.

### withFault

    public SpotDatafeedSubscription withFault(SpotInstanceStateFault fault)

  Specifies a fault code for the Spot Instance request, if present.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `fault` - Specifies a fault code for the Spot Instance request, if present.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.